查看個別資料區隔
如要查看其中一個資料區隔,請使用 curators.dataSegments.get 方法。
以下範例會向 API 端點發出 HTTP GET 要求,該端點會傳回指定的資料區段。
curl API 呼叫範例
要求
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
回應
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T19:47:40.253938Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1000000"
},
"state": "INACTIVE"
}
查看所有資料區隔的清單
如要查看所有資料區隔,請使用 curators.dataSegments.list 方法。
以下範例會向 API 端點發出 HTTP GET 要求,該端點會傳回指定策展人帳戶的所有資料區隔。
curl API 呼叫範例
要求
curl \
'https://authorizedbuyersmarketplace.googleapis.com/v1beta/curators/[YOUR_ACCOUNT_ID]/dataSegments?key=[YOUR_API_KEY]' \
--header 'Authorization: Bearer [YOUR_ACCESS_TOKEN]' \
--header 'Accept: application/json' \
--compressed
回應
{
"dataSegments": [
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-1",
"createTime": "2025-08-13T12:14:03.421Z",
"updateTime": "2025-08-14T20:05:51.439110Z",
"cpmFee": {
"currencyCode": "USD",
"units": "1"
},
"state": "INACTIVE"
},
{
"name": "curators/[YOUR_ACCOUNT_ID]/dataSegments/test-data-segment-2",
"createTime": "2025-08-14T17:45:08.744Z",
"updateTime": "2025-08-14T17:56:02.200619Z",
"cpmFee": {
"currencyCode": "USD",
"nanos": 50
},
"state": "ACTIVE"
}
]
}